/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.projectrecord.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.projectrecord.entity.ProjectRecords;

import java.util.List;

/**
 * 项目登记DAO接口
 * @author ppt
 * @version 2018-05-02
 */
@MyBatisDao
public interface ProjectRecordsDao extends CrudDao<ProjectRecords> {


    void updateProcessIdAndStatus(ProjectRecords projectRecords);

    void updateSelectiveById(ProjectRecords projectRecords);

    List<ProjectRecords> findListByStatus(ProjectRecords projectRecords);

    void updateSelectiveByProjectId(ProjectRecords records);

    ProjectRecords findUseableByProjectId(String projectId);
    List<ProjectRecords> findPageByRe(ProjectRecords records);
    int queryCount(ProjectRecords records);
    int queryCountByStatus(ProjectRecords records);
}